{
  "columns": [
    {
      "field": "st_stock_event_id",
      "width": 65,
      "name": "TUNNUS",
      "enterable": 1
    },
    {
      "width": 68,
      "enterable": 1,
      "field": "st_date_",
      "name": "Päiväys",
      "footerValue": "/O-1"
    },
    {
      "width": 61,
      "enterable": 1,
      "field": "st_time_",
      "footerValue": "/O-2",
      "name": "Aika",
      "format": "&/1"
    },
    {
      "field": "st_type_",
      "width": 30,
      "name": "Ty.",
      "enterable": 1
    },
    {
      "field": "st_product_id",
      "width": 169,
      "name": "Tuote",
      "enterable": 1
    },
    {
      "field": "st_manufacturing_lot",
      "width": 75,
      "name": "Valmistuserä",
      "enterable": 1
    },
    {
      "field": "st_supplier_id",
      "width": 86,
      "name": "Toimittaja",
      "enterable": 1
    },
    {
      "field": "st_storage_place",
      "width": 37,
      "name": "Va.p.",
      "enterable": 1
    },
    {
      "field": "st_cost_center",
      "width": 41,
      "name": "Ku.p.",
      "enterable": 1
    },
    {
      "field": "st_price_confirmation",
      "width": 57,
      "name": "H.vahv.",
      "enterable": 1
    },
    {
      "width": 64,
      "enterable": 1,
      "field": "st_amount__unit",
      "name": "Määrä",
      "footerValue": "==Sum"
    },
    {
      "width": 94,
      "enterable": 1,
      "field": "st_stock_balance",
      "name": "Tap.jälk.saldo",
      "footerValue": "==Sum"
    },
    {
      "headerBackColor": -2,
      "width": 65,
      "footerValue": "==Sum",
      "lineBackColor": -2,
      "field": "pr_stock_balance__unit",
      "lineForeColor": 14,
      "name": "Tu.saldo",
      "headerForeColor": -2
    },
    {
      "headerBackColor": -2,
      "width": 95,
      "lineBackColor": -2,
      "field": "pr_average_balance_start_date",
      "lineForeColor": 14,
      "name": "Keskiv.alkupv",
      "headerForeColor": -2
    },
    {
      "width": 87,
      "enterable": 1,
      "field": "st_average_balance",
      "name": "Keskivarasto",
      "footerValue": "==Sum"
    },
    {
      "headerBackColor": -2,
      "width": 75,
      "footerValue": "==Sum",
      "lineBackColor": -2,
      "field": "pr_average_balance",
      "lineForeColor": 14,
      "name": "Tu.keskiv.",
      "headerForeColor": -2
    },
    {
      "width": 68,
      "enterable": 1,
      "field": "st_purchase_price__unit",
      "name": "Ostohinta",
      "footerValue": "==Sum"
    },
    {
      "width": 70,
      "enterable": 1,
      "field": "st_purchase_costs",
      "name": "Ostokulut",
      "footerValue": "==Sum"
    },
    {
      "width": 65,
      "enterable": 1,
      "field": "st_cost_price__unit",
      "name": "OK hinta",
      "footerValue": "==Sum"
    },
    {
      "width": 70,
      "enterable": 1,
      "field": "st_average_price",
      "name": "Keskihinta",
      "footerValue": "==Sum"
    },
    {
      "headerBackColor": -2,
      "width": 74,
      "footerValue": "==Sum",
      "lineBackColor": -2,
      "field": "pr_average_price",
      "lineForeColor": 14,
      "name": "Tu.keskih.",
      "headerForeColor": -2
    },
    {
      "headerBackColor": -2,
      "width": 118,
      "lineBackColor": -2,
      "field": "pr_purch_avg_price_start_date",
      "lineForeColor": 14,
      "name": "Ost.keskih.alkupv",
      "headerForeColor": -2
    },
    {
      "width": 82,
      "enterable": 1,
      "field": "st_purchase_average_price",
      "name": "Ost.keskih.",
      "footerValue": "==Sum"
    },
    {
      "headerBackColor": -2,
      "width": 94,
      "footerValue": "==Sum",
      "lineBackColor": -2,
      "field": "pr_purchase_average_price",
      "lineForeColor": 14,
      "name": "Tu.ost.keskih.",
      "headerForeColor": -2
    },
    {
      "width": 101,
      "enterable": 1,
      "field": "st_purch_avg_price_amount",
      "name": "Ost.keskih.mrä",
      "footerValue": "==Sum"
    },
    {
      "headerBackColor": -2,
      "width": 116,
      "footerValue": "==Sum",
      "lineBackColor": -2,
      "field": "pr_purch_avg_price_amount",
      "lineForeColor": -2,
      "name": "Tu.ost.keskih.mrä",
      "headerForeColor": -2
    },
    {
      "field": "st_info",
      "width": 269,
      "name": "Lisätietoja",
      "enterable": 1
    }
  ],
  "not-in-use": [
    {
      "field": "st_change_id",
      "width": 71,
      "name": "Muutos ID",
      "enterable": 1
    }
  ],
  "options": {
    "manyField": "st_kTbl",
    "gridName": "Lista",
    "type": "Output",
    "footerHeight": 1,
    "oneField": "st_kTbl",
    "enterable": 1
  }
}
